Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159620 - Console keyboard not working with smp kernel
Summary: Console keyboard not working with smp kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 07:06 UTC by Marko Asplund
Modified: 2013-03-06 05:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:54:54 UTC


Attachments (Terms of Use)

Description Marko Asplund 2005-06-06 07:06:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412 (KHTML, like Gecko) Safari/412

Description of problem:
after upgrading from RHEL 3 to RHEL 4 the console keyboard stopped functioning on my server. it works 
fine before the OS boots (i.e. BIOS setup) but when the login prompt appears not characters typed show up 
in the monitor. it's an SMP machine and if a boot the uniprocessor kernel the keyboard starts working fine. 
i've tried with both kernel ACPI disabled and enabled but it doesn't seem to have an effect. i'm using a 
KVM switch with ps/2 cables. the motherboard is a Supermicro SuperServer 6022P-6 (http://
www.supermicro.com/PRODUCT/SUPERServer/SuperServer6022P-6.htm).

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-5.0.5.EL

How reproducible:
Always

Steps to Reproduce:
1. boot the system
2. try to type something on the console keyboard
3.
  

Actual Results:  no characters appear on screen

Expected Results:  typed characters should appear on screen

Additional info:

Comment 1 Wade Hampton 2005-08-10 00:19:03 UTC
I have a similar problem with a Supermicro dual XEON workstation and Fedora Core
4.0.  The UP kernel works fine.  The SMP kernel boots but the keyboard and mouse
(both PS/2) don't work.  I have tried with ACPI both on and off in the BIOS and
with passing ACPI=off to the kernel. 

Comment 2 frollic nilsson 2005-10-05 11:47:32 UTC
Same problem here with the two most recent SMP kernels, 
kernel-smp-2.6.12-1.1456_FC4 and kernel-smp-2.6.13-1.1526_FC4. 
Moderboard is Iwill DPL-533.

Non-SMP kernel works fine. 

Comment 3 David Tonhofer 2006-01-04 13:56:36 UTC
Looks like a duplicate of #159620

Comment 4 Jiri Pallich 2012-06-20 15:54:54 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.